Subject: RE: bug#7665: Emacs: add command line option -L to set more paths toload-path

From: "Drew Adams" <[email-masked]>
Date: Fri, 17 Dec 2010 16:46:49 -0800

> > An example:
> > emacs -L ~/elisp/package -L ~/.emacs.d/downloaded -l my-test.el
> 
> I don't understand this example: why ~/elisp/package and
> ~/.emacs.d/downloaded?  What are these directories and how are they
> related to my-test.el?

I shouldn't try to speak for Jari, but since I seconded the idea... This is what
I understood:

-L means add its arg to `load-path'

-l means load my-test.el (processing the `load-path' in the normal way).

-L's action would be done before -l's.  Presumably the -L's would be processed
in order.

The example given is only that: an example.  Nothing special about the
directories used in the example.

Again, Jari might have had something different in mind, but that's what I
imagined.